summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRomain Perier <mrpouet@gentoo.org>2009-08-21 11:36:37 +0200
committerRomain Perier <mrpouet@gentoo.org>2009-08-21 11:36:37 +0200
commit3d9d62de81fa7db1ea090f928fcb479947700062 (patch)
treed7dbee4ef2c558dcca40b3d15dcadab45dd87342 /games-puzzle
parentMoved devel/* and Documentation/* to "devel" branch (diff)
downloadgamerlay-3d9d62de81fa7db1ea090f928fcb479947700062.tar.gz
gamerlay-3d9d62de81fa7db1ea090f928fcb479947700062.tar.bz2
gamerlay-3d9d62de81fa7db1ea090f928fcb479947700062.zip
Moved stable/* to ./
Diffstat (limited to 'games-puzzle')
-rw-r--r--games-puzzle/pipewalker/Manifest3
-rw-r--r--games-puzzle/pipewalker/metadata.xml5
-rw-r--r--games-puzzle/pipewalker/pipewalker-0.7.2.ebuild44
3 files changed, 52 insertions, 0 deletions
diff --git a/games-puzzle/pipewalker/Manifest b/games-puzzle/pipewalker/Manifest
new file mode 100644
index 0000000..e255ab8
--- /dev/null
+++ b/games-puzzle/pipewalker/Manifest
@@ -0,0 +1,3 @@
+DIST pipewalker-0.7.2-src.tar.gz 263075 RMD160 bfa409d8cbbea87c0abb4ce942411658ec8adae8 SHA1 3bd8a057f85fcba4368bf93669337564c6c8e41d SHA256 d13943db3103c1ffa7dfee74e9bc868c7fa6a67341507deca52c3f873a4463db
+EBUILD pipewalker-0.7.2.ebuild 894 RMD160 3005bf05c08cd19adee7a5f57488188752756a3d SHA1 4bd6a2cb2a0b3566ac541aa233c1e791acfec485 SHA256 14f05b44a275ca3e97507ff55c687873d2e843598f733ce5e2e873a3169901a5
+MISC metadata.xml 161 RMD160 734c72757bdba2e93d5c7cfa946fd9eb69e01681 SHA1 e721608e30cdca8dd809c1024687fe4887c49293 SHA256 5102a957a119374da719ca711f473e89fd4183d4e91e86f59e2fc4dce7e607dc
diff --git a/games-puzzle/pipewalker/metadata.xml b/games-puzzle/pipewalker/metadata.xml
new file mode 100644
index 0000000..4a5a466
--- /dev/null
+++ b/games-puzzle/pipewalker/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>playboys</herd>
+</pkgmetadata>
diff --git a/games-puzzle/pipewalker/pipewalker-0.7.2.ebuild b/games-puzzle/pipewalker/pipewalker-0.7.2.ebuild
new file mode 100644
index 0000000..5b54909
--- /dev/null
+++ b/games-puzzle/pipewalker/pipewalker-0.7.2.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit autotools games
+
+DESCRIPTION="PipeWalker - is a clone of the NetWalk game."
+HOMEPAGE="http://pipewalker.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}-src.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="
+ media-libs/libsdl[opengl]
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ # fix path placement
+ sed -i \
+ -e "s:\$(datadir):${GAMES_DATADIR_BASE}:g" \
+ extra/Makefile.am || die "Removing wrong path failed"
+ sed -i \
+ -e "s:\$(datadir):${GAMES_DATADIR_BASE}:g" \
+ Makefile.am || die "Removing wrong path failed"
+ eautoreconf
+}
+
+src_configure() {
+ egamesconf \
+ --disable-dependency-tracking \
+ --datadir=${GAMES_DATADIR_BASE}
+}
+
+src_install() {
+ emake DESTDIR=${D} install || die "install failed"
+
+ prepgamesdirs
+}